diff --git a/third_party/ijar/mapped_file_unix.cc b/third_party/ijar/mapped_file_unix.cc
index fbfca42723..a105ee89a7 100644
--- a/third_party/ijar/mapped_file_unix.cc
+++ b/third_party/ijar/mapped_file_unix.cc
@@ -19,6 +19,7 @@
 #include <sys/mman.h>
 
 #include <algorithm>
+#include <limits>
 
 #include "third_party/ijar/mapped_file.h"
 
diff --git a/third_party/ijar/zlib_client.h b/third_party/ijar/zlib_client.h
index ed6616362f..da0848852b 100644
--- a/third_party/ijar/zlib_client.h
+++ b/third_party/ijar/zlib_client.h
@@ -19,6 +19,8 @@
 
 #include "third_party/ijar/common.h"
 
+#include <limits>
+
 namespace devtools_ijar {
 // Try to compress a file entry in memory using the deflate algorithm.
 // It will compress buf (of size length) unless the compressed size is bigger
diff --git a/third_party/protobuf/3.6.1/python/google/protobuf/pyext/message.cc b/third_party/protobuf/3.6.1/python/google/protobuf/pyext/message.cc
index 5893533adf..78d964266d 100644
--- a/third_party/protobuf/3.6.1/python/google/protobuf/pyext/message.cc
+++ b/third_party/protobuf/3.6.1/python/google/protobuf/pyext/message.cc
@@ -33,6 +33,7 @@
 
 #include <google/protobuf/pyext/message.h>
 
+#include <limits>
 #include <map>
 #include <memory>
 #include <string>
diff --git a/third_party/protobuf/3.6.1/src/google/protobuf/repeated_field.cc b/third_party/protobuf/3.6.1/src/google/protobuf/repeated_field.cc
index 310000aabb..f95803d4f2 100644
--- a/third_party/protobuf/3.6.1/src/google/protobuf/repeated_field.cc
+++ b/third_party/protobuf/3.6.1/src/google/protobuf/repeated_field.cc
@@ -33,6 +33,7 @@
 //  Sanjay Ghemawat, Jeff Dean, and others.
 
 #include <algorithm>
+#include <limits>
 
 #include <google/protobuf/repeated_field.h>
 #include <google/protobuf/stubs/logging.h>
diff --git a/third_party/protobuf/3.6.1/src/google/protobuf/stubs/bytestream.cc b/third_party/protobuf/3.6.1/src/google/protobuf/stubs/bytestream.cc
index f4af6a50ab..c3af6b7310 100644
--- a/third_party/protobuf/3.6.1/src/google/protobuf/stubs/bytestream.cc
+++ b/third_party/protobuf/3.6.1/src/google/protobuf/stubs/bytestream.cc
@@ -32,6 +32,7 @@
 
 #include <string.h>
 #include <algorithm>
+#include <limits>
 
 namespace google {
 namespace protobuf {
diff --git a/third_party/protobuf/3.6.1/src/google/protobuf/util/field_comparator_test.cc b/third_party/protobuf/3.6.1/src/google/protobuf/util/field_comparator_test.cc
index 249b8d5463..d5363c7784 100644
--- a/third_party/protobuf/3.6.1/src/google/protobuf/util/field_comparator_test.cc
+++ b/third_party/protobuf/3.6.1/src/google/protobuf/util/field_comparator_test.cc
@@ -42,6 +42,8 @@
 // and the opensource version gtest.h header includes cmath transitively
 // somehow.
 #include <gtest/gtest.h>
+#include <limits>
+
 namespace google {
 namespace protobuf {
 namespace util {
diff --git a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/datapiece.cc b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/datapiece.cc
index 59bc28ae71..914fe18913 100644
--- a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/datapiece.cc
+++ b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/datapiece.cc
@@ -38,6 +38,8 @@
 #include <google/protobuf/stubs/mathlimits.h>
 #include <google/protobuf/stubs/mathutil.h>
 
+#include <limits>
+
 namespace google {
 namespace protobuf {
 namespace util {
diff --git a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/json_objectwriter_test.cc b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/json_objectwriter_test.cc
index 0dc710c7fe..aedf26bb12 100644
--- a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/json_objectwriter_test.cc
+++ b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/json_objectwriter_test.cc
@@ -34,6 +34,8 @@
 #include <google/protobuf/util/internal/utility.h>
 #include <gtest/gtest.h>
 
+#include <limits>
+
 namespace google {
 namespace protobuf {
 namespace util {
diff --git a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/protostream_objectwriter_test.cc b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/protostream_objectwriter_test.cc
index 7f0df5677e..7d19608928 100644
--- a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/protostream_objectwriter_test.cc
+++ b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/protostream_objectwriter_test.cc
@@ -58,6 +58,8 @@
 #include <gtest/gtest.h>
 
 
+#include <limits>
+
 namespace google {
 namespace protobuf {
 namespace util {
diff --git a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/utility.cc b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/utility.cc
index b8d917ce28..5b1694503b 100644
--- a/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/utility.cc
+++ b/third_party/protobuf/3.6.1/src/google/protobuf/util/internal/utility.cc
@@ -31,6 +31,7 @@
 #include <google/protobuf/util/internal/utility.h>
 
 #include <algorithm>
+#include <limits>
 
 #include <google/protobuf/stubs/callback.h>
 #include <google/protobuf/stubs/common.h>
